Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class IncludedFeatureReferenceModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel
                  org.eclipse.update.core.FeatureReference
                      org.eclipse.update.core.model.IncludedFeatureReferenceModel

All Implemented Interfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

Direct Known Subclasses:
  IncludedFeatureReference

public class IncludedFeatureReferenceModel
extends FeatureReference

Included Feature reference model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `IncludedFeatureReference`

Constructor Summary
`IncludedFeatureReferenceModel()` Construct a included feature reference
`IncludedFeatureReferenceModel(IFeatureReference featureReference)` Constructor IncludedFeatureReferenceModel.
`IncludedFeatureReferenceModel(IncludedFeatureReferenceModel includedFeatureRef)` Construct a included feature reference model

Method Summary
`int` | `getMatch()` Deprecated. since 3.0 included feature version is exactly specified
`int` | `getSearchLocation()` Returns the search location for this included feature.
`boolean` | `isOptional()` Returns the isOptional
`void` | `isOptional(boolean isOptional)` Sets the isOptional.
`void` | `setMatchingRule(int matchingRule)` Deprecated. since 3.0 included feature version is exactly specified
`void` | `setSearchLocation(int searchLocation)` Sets the searchLocation.

Methods inherited from class org.eclipse.update.core.FeatureReference
`getFeature, getFeature, getFeature, getName, getNL, getOS, getOSArch, getSite, getVersionedIdentifier, getWS, isPatch, setSite, setURL`

Methods inherited from class org.eclipse.update.core.model.FeatureReferenceModel
`equals, getFeatureIdentifier, getFeatureVersion, getLabel, getLabelNonLocalized, getPatch, getPropertyName, getSiteModel, getType, getURL, getURLString, resolve, setArch, setFeatureIdentifier, setFeatureVersion, setLabel, setNL, setOS, setPatch, setSiteModel, setType, setURLString, setWS, toString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### IncludedFeatureReferenceModel

    public IncludedFeatureReferenceModel()

  Construct a included feature reference

Since:
  2.1

### IncludedFeatureReferenceModel

    public IncludedFeatureReferenceModel(IncludedFeatureReferenceModel includedFeatureRef)

  Construct a included feature reference model

Parameters:
  `includedFeatureRef` - the included reference model to copy
Since:
  2.1

### IncludedFeatureReferenceModel

    public IncludedFeatureReferenceModel(IFeatureReference featureReference)

  Constructor IncludedFeatureReferenceModel.

Parameters:
  `featureReference` -

Method Detail

### getMatch

    public int getMatch()

  Deprecated. since 3.0 included feature version is exactly specified

  Returns the matching rule for this included feature. The rule will determine the ability of the included feature to move version without causing the overall feature to appear broken. The default is `MATCH_PERFECT`

  Returns:
    int representation of feature matching rule.
  Since:
    2.0.2
  See Also:
    `IUpdateConstants.RULE_PERFECT`, `IUpdateConstants.RULE_EQUIVALENT`, `IUpdateConstants.RULE_COMPATIBLE`, `IUpdateConstants.RULE_GREATER_OR_EQUAL`

### getSearchLocation

    public int getSearchLocation()

  Returns the search location for this included feature. The location will be used to search updates for this feature. The default is `SEARCH_ROOT`

  Returns:
    int representation of feature searching rule.
  Since:
    2.0.2
  See Also:
    `IUpdateConstants.SEARCH_ROOT`, `IUpdateConstants.SEARCH_SELF`

### isOptional

    public boolean isOptional()

  Returns the isOptional

  Returns:
    isOptional
  Since:
    2.0.1

### isOptional

    public void isOptional(boolean isOptional)

  Sets the isOptional.

  Parameters:
    `isOptional` - The isOptional to set

### setMatchingRule

    public void setMatchingRule(int matchingRule)

  Deprecated. since 3.0 included feature version is exactly specified

  Sets the matchingRule.

  Parameters:
    `matchingRule` - The matchingRule to set

### setSearchLocation

    public void setSearchLocation(int searchLocation)

  Sets the searchLocation.

  Parameters:
    `searchLocation` - The searchLocation to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.